[Deprecated]: v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/shipments/{shipmentId}/kits
Deprecated: Retrieves a kit's details by order. Rights: OrsInventoryGet, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
shipmentId(required): string(uuid)
ID of the shipment.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
-
kitNumber(required): string
Kit/Lot number.Example:
KIT-000123 -
orderBy(required): string
Specify the parameter by which the kits are ordered.Example:
kitNumber
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ShipmentKitsResponse v1.0
Type:
objectTitle:
ShipmentKitsResponse v1.0Response object containing shipment kits details.
Show Source
-
kitTypes: array
ShipmentKitsResponse.KitTypes
Title:
ShipmentKitsResponse.KitTypesList of kit type summaries. -
shipmentId: string
(uuid)
Shipment ID.Example:
b1b8327a-faa6-4122-8710-6192ab5984ef
Nested Schema : ShipmentKitsResponse.KitTypes
Type:
arrayTitle:
ShipmentKitsResponse.KitTypesList of kit type summaries.
Show Source
-
Array of:
object ShipmentKitsResponse.KitTypeSummary v1.0
Title:
ShipmentKitsResponse.KitTypeSummary v1.0Kit type summary details object.
Nested Schema : ShipmentKitsResponse.KitTypeSummary v1.0
Type:
objectTitle:
ShipmentKitsResponse.KitTypeSummary v1.0Kit type summary details object.
Show Source
-
description: string
Kit type description.Example:
Non dosing kit -
id: string
(uuid)
Title:
Kit Type IDKit type identifier.Example:b1b8327a-faa6-4122-8710-6192ab5984ef -
kits: array
Kits
Title:
KitsList of serialized kits. -
kitTypeName: string
Kit type name.Example:
Kit A -
packageTypeId: number
(double)
Allowed Values:
[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ]Package type ID.Example:5 -
packageTypeKey: string
Allowed Values:
[ "BLISTERPACK", "BOTTLE", "DEVICE", "SYRINGE", "OINTMENT", "VIAL", "INHALER", "INFUSION", "BOX", "OTHER" ]Package type key.Example:INHALER
Example:
{
"id":"B1B8327A-FAA6-4122-8710-6192AB5984EF",
"kitTypeName":"Kit A"
}Nested Schema : Kits
Type:
arrayTitle:
KitsList of serialized kits.
Show Source
-
Array of:
object ShipmentKitsResponse.Kit v1.0
Title:
ShipmentKitsResponse.Kit v1.0Kit details object.
Nested Schema : ShipmentKitsResponse.Kit v1.0
Type:
objectTitle:
ShipmentKitsResponse.Kit v1.0Kit details object.
Show Source
-
id: string
(uuid)
Kit ID.Example:
b1b8327a-faa6-4122-8710-6192ab5984ef -
kitNumber: number
(double)
Kit number.Example:
5 -
sequenceNumber: number
(double)
Sequence number.Example:
5
Examples
404 Response
'Invalid study ID', 'Study still in design phase' or 'Invalid shipment ID'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples